Last modified: 2011-03-06 13:28:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27489 - Update math/texvc module on WMF projects
Update math/texvc module on WMF projects
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
: shell
Depends on:
Blocks: 27339
  Show dependency treegraph
 
Reported: 2011-02-17 08:22 UTC by Raimond Spekking
Modified: 2011-03-06 13:28 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Raimond Spekking 2011-02-17 08:22:44 UTC
The following commits are not live yet after rollout of 1.17wmf1:

r68382 - Bug 21477 - texvc doesn't accept \&
r68385 - Bug 11641 - Add support for AMSTeX's \dotsc, \dotsm, \dotsi, \dotso
r68386 - Bug 21475 - \mathtt (typewriter) and \mathsf (sans serif) math font commands
r68846 (no bug)
Comment 1 Mark A. Hershberger 2011-02-17 19:49:07 UTC
adding blocker, marking those revisions for deployment, and CCing Roan
Comment 2 Rob Lanphier 2011-02-19 05:45:17 UTC
Adding shell keyword.  Those changes are checked into the 1.17wmf1 branch, but I think it's just that someone needs to compile a new version of the module and deploy it.
Comment 3 Antoine "hashar" Musso (WMF) 2011-03-06 13:28:01 UTC
texvc is rebuild whenever we run 'scap', the last rebuild according to a random apache file timestamp is:

 2011-03-01 02:44 /usr/local/bin/texvc

Which is after this bug opening, so I am assuming this issue FIXED :)

Notes:
1) I verified our production code and it does include the above bug fixes as well as other ones.
2) A live test for \mathtt is available at http://test.wikipedia.org/wiki/Bug_27489
Comment 4 Antoine "hashar" Musso (WMF) 2011-03-06 13:28:48 UTC
Please note we still have to invalidate the math cache for a different issue bug 24445

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links